package org.eclipse.jdt.internal.compiler.classfmt;

package .tmp;

import org.eclipse.jdt.internal.compiler.classfmt.ExternalAnnotationProvider;
import org.eclipse.jdt.internal.compiler.env.ITypeAnnotationWalker;
import org.eclipse.jdt.internal.compiler.lookup.LookupEnvironment;

class FieldAnnotationWalker extends ExternalAnnotationProvider.BasicAnnotationWalker {
  public FieldAnnotationWalker(char[] source, int pos, LookupEnvironment environment) {
    super(paramExternalAnnotationProvider, source, pos, environment);
  }
  
  public ITypeAnnotationWalker toField() {
    return (ITypeAnnotationWalker)this;
  }
  
  public ITypeAnnotationWalker toMethodReturn() {
    throw new UnsupportedOperationException("Field has no method return");
  }
  
  public ITypeAnnotationWalker toMethodParameter(short index) {
    throw new UnsupportedOperationException("Field has no method parameter");
  }
  
  public ITypeAnnotationWalker toThrows(int index) {
    throw new UnsupportedOperationException("Field has no throws");
  }
}
